Package org.apache.sysds.resource

## Enum CloudUtils.InstanceSize

- java.lang.Object
- - java.lang.Enum<CloudUtils.InstanceSize>
  - - org.apache.sysds.resource.CloudUtils.InstanceSize

All Implemented Interfaces:
  `Serializable`, `Comparable<CloudUtils.InstanceSize>`

Enclosing class:
  CloudUtils

    public static enum CloudUtils.InstanceSize
    extends Enum<CloudUtils.InstanceSize>

### Enum Constant Summary

Enum Constants
`_12XLARGE`
`_16XLARGE`
`_18XLARGE`
`_24XLARGE`
`_2XLARGE`
`_32XLARGE`
`_3XLARGE`
`_48XLARGE`
`_4XLARGE`
`_6XLARGE`
`_8XLARGE`
`_9XLARGE`
`_XLARGE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CloudUtils.InstanceSize` `customValueOf​(String name)`
`static CloudUtils.InstanceSize` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CloudUtils.InstanceSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### _XLARGE

    public static final CloudUtils.InstanceSize _XLARGE

#### _2XLARGE

    public static final CloudUtils.InstanceSize _2XLARGE

#### _3XLARGE

    public static final CloudUtils.InstanceSize _3XLARGE

#### _4XLARGE

    public static final CloudUtils.InstanceSize _4XLARGE

#### _6XLARGE

    public static final CloudUtils.InstanceSize _6XLARGE

#### _8XLARGE

    public static final CloudUtils.InstanceSize _8XLARGE

#### _9XLARGE

    public static final CloudUtils.InstanceSize _9XLARGE

#### _12XLARGE

    public static final CloudUtils.InstanceSize _12XLARGE

#### _16XLARGE

    public static final CloudUtils.InstanceSize _16XLARGE

#### _18XLARGE

    public static final CloudUtils.InstanceSize _18XLARGE

#### _24XLARGE

    public static final CloudUtils.InstanceSize _24XLARGE

#### _32XLARGE

    public static final CloudUtils.InstanceSize _32XLARGE

#### _48XLARGE

    public static final CloudUtils.InstanceSize _48XLARGE

### Method Detail

#### values

    public static CloudUtils.InstanceSize[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CloudUtils.InstanceSize c : CloudUtils.InstanceSize.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CloudUtils.InstanceSize valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### customValueOf

    public static CloudUtils.InstanceSize customValueOf​(String name)
                                                 throws IllegalArgumentException

Throws:
  `IllegalArgumentException`